# net device metrics — NCM API

The latest signal readings, usage data and connected cell towers for each network interface. Read-only, a single list call, and the current-values counterpart to the historical sample endpoints. For history rather than latest state, see net device signal samples and net device usage samples.

Base URL: https://www.cradlepointecm.com/api/v2

### GET /net_device_metrics/

Get information about net_device_metrics

Use the GET method on this endpoint to retrieve net_device_metrics records. Use the available filtering fields to narrow or broaden your search.

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| X-ECM-API-ID | header | string | yes | <strong>ECM API app Id</strong> |
| X-ECM-API-KEY | header | string | yes | <strong>ECM API app key</strong> |
| X-CP-API-ID | header | string | yes | <strong>Cradlepoint API app Id</strong> |
| X-CP-API-KEY | header | string | yes | <strong>Cradlepoint API access key</strong> |
| net_device | query | in: int<br />out: url | no | The unque URL for each net device in the system |
| net_device__in | query | in: int<br />out: url | no | Filter for net_device contains - a comma separated list of net device IDs |
| id__gt | query | integer | no | Filter results to items with ID greater than specified value (cursor pagination) |
| id__gte | query | integer | no | Filter results to items with ID greater than or equal to specified value |
| id__lt | query | integer | no | Filter results to items with ID less than specified value |
| id__lte | query | integer | no | Filter results to items with ID less than or equal to specified value |
| update_ts__lt | query | timestamp | no | Filter for net_device_metrics records with any fields updated before this filter's value |
| update_ts__gt | query | timestamp | no | Filter for net_device_metrics records with any fields updated after this filter's value |
| bmask_applied | query | boolean | no | Indicates whether band masking is applied |
| limit | query | integer | no | Restricts the number of records returned in a recordset to this value. Max value is 500. |
| offset | query | integer | no | Specifies where (an index) in a recordset to begin returning records. |

**Example request**

```bash
curl "https://www.cradlepointecm.com/api/v2/net_device_metrics/" \
  -H "X-CP-API-ID: <cp-api-id>" \
  -H "X-CP-API-KEY: <cp-api-key>" \
  -H "X-ECM-API-ID: <ecm-api-id>" \
  -H "X-ECM-API-KEY: <ecm-api-key>"
```

**Response 200** — Example response.

```json
{
  "data": [
    {
      "bmask_applied": null,
      "bytes_in": 49972,
      "bytes_out": 331753,
      "cell_id": null,
      "cinr": null,
      "dbm": null,
      "ecio": null,
      "id": "134193",
      "lac": null,
      "mcc": null,
      "mnc": null,
      "net_device": "https://www.cradlepointecm.com/api/v2/net_devices/134193/",
      "resource_url": "https://www.cradlepointecm.com/api/v2/net_device_metrics/134193/",
      "rsrp": null,
      "rsrq": null,
      "rssi": null,
      "rssnr": null,
      "service_type": "Ethernet",
      "signal_strength": null,
      "sinr": null,
      "tac": null,
      "update_ts": "2021-04-30T16:51:24.475397+00:00"
    }
  ],
  "meta": {
    "limit": 20,
    "next": "https://www.cradlepointecm.com/api/v2/net_device_metrics/?limit=20&offset=20",
    "offset": 0,
    "previous": null
  }
}
```
